
<?php

include('../config/constant.php');
include('../includes/header.php');
include('../includes/navbar.php');
?>
<!-- Begin Page Content-->
<div class="container-fluid">


  <!-- Button trigger modal -->

  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <h5 class="m-0 font weight-bold text-primary">Home Subcategory</h5>
       </div>
       
          <div class="card-body">
            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#subhomeModal" style="float: right">
          Add new in Home Subategory</button>
        <br/>
        <br/>
        <br/>


            <div class="table-responsive">
              <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Category</th>
                    <th>Title</th>
                    <th>Image</th>
                    <th>Created_at</th>
                    <th>Updated_at</th>
                    <th>EDIT</th>
                    <th>DELETE</th>
                  </tr>
                </thead>
                <tbody>
                  <!-- append using getAllHome() function -->
                </tbody>
              </table>   
            </div></div>
            
            
             <div class="modal fade" id="subhomeModal" tabindex="1" role="dialog" aria-labelledby="examplemodalLabel" aria-hidden="true">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel"> Home SubCategory</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                <form action="../homeSub/add_homeSub.php" id="addSubhomeForm" method="POST" enctype="multipart/form-data">
                  <div class="modal-body">
                    <div class="form-group">

                      <input type="hidden" name="id" id="id" class="form-control" placeholder="Enter Id">
                    </div>
                    <div class="form-group">
                      <label>Category</label>
                      <select class="form-control" id="category-dropdown" name="catid">
                                    <option value="">Select Category</option>
                                    <?php 
                   require_once '../config/db.php';
                   require_once '../config/database.class.php';
                   require_once '../config/functions.php';
                   $d = new database($db_config);?>
                   
                       
                     <?php 
                               $query = "SELECT * FROM home ";
                       $executeQuery = $d->selectQueryInArray($query);
                              
                              if($executeQuery )  {
                                // code...
                             
                            foreach ($executeQuery as $row)
                              {
                              ?>

<option value="<?php echo $row['id'];?>"><?php echo $row["category"];?></option>
<?php
}}
?>
           
                                   
                                </select>
                    </div>
                     <div class="form-group">
                      <label>Title</label>
                      <input type="text" name="title" id="title" class="form-control" placeholder="Enter Title">
                    </div>
                   
                   <div class="form-group">
                        <label for="image">Select image:</label>
                        <img src='' style='max-height:200px;' id='image'>
                      <input type="file" id="image" name="image">
                    </div>
                    
                    
                  </div>
                 <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" name="registerbtn" class="registerbtn btn-primary btn" onclick="saveSubhome();" >Save</button>
                  </div>
                </form></div>
              </div>
            </div>
          </div>
          
          </div>
          <!-- End of Main Content -->






<?php
          include('../includes/scripts.php');
          include('../includes/footer.php');
          ?>
          <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.form/4.3.0/jquery.form.min.js" ></script>
          <script type="text/javascript">
            $(document).ready(function(){
              getAllSubhome();
            });

            function saveSubhome(){
              var options = {
                beforeSend: function () {
              //anything before sending request eg loader etc....
            },
            success: function (res) {
              // once receive response from backend
              //parese json
              var json = $.parseJSON(res);
              if(json.status=='success'){
                alert(json.message);
                $('#subhomeModal').modal('hide');
                $('#id').val('');
                $('#catid').val('');
                $('#title').val('');
                $('#image').val('');
                getAllSubhome();
              }
              else{
                alert(json.message);
              }
              
            },
            error: function (response) {

            }        
          };
          $('#addSubhomeForm').ajaxForm(options);
        }


        function editSubhome(id){
// alert(id);
$('#subhomeModal').modal('show');
$('#id').val(id);

$.ajax({
  type: "POST",
  data: 'id=' + id,
  url: '../homeSub/get_homeSub_by_id.php',
  success: function (response) {
    console.log(response)
    var json = $.parseJSON(response);

    $('#id').val(json[0].id);
    $('#catid').val(json[0].catid);
    $('#title').val(json[0].title);
    
    $('#image').attr("src",'https://brasshardwareindia.com/admin/uploads/'+json[0].image); 
  }
});
}

function deleteSubhome(id){
  if(confirm("Are you sure to delete")){


   $.ajax({
    type: "POST",
    data: 'id=' + id,
    url: '../homeSub/delete_homeSub.php',
    success: function (response) {
      console.log(response)
      var json = $.parseJSON(response);

      if(json.status=='success'){
        alert(json.message);
        getAllSubhome();
      }
      else{
        alert(json.message);
      }

    }
  });
 }
}

function getAllSubhome(){
  $.ajax({
    type: "POST",
    data: 'id=' + id,
    url: '../homeSub/get_all_homeSub.php',
    success: function (response) {

      var json = $.parseJSON(response);
      var html = "";
      $('#dataTable tbody').html(html);

      for(i=0;i<json.length;i++){
        html = html+`
        <tr>
        <td>`+(i+1)+`</td>
        <td>`+json[i].catid+`</td>
        <td>`+json[i].title+`</td>
       
        <td><img src = `+json[i].image+` style='max-height:100px;max-width:100px;' class='img_in_modal'></td>
        <td>`+json[i].created_at+`</td>
        <td>`+json[i].updated_at+`</td>
        <td> 
        <button type="button" class="btn btn-success" onclick="editSubhome(`+json[i].id+`);">
        <span class="glyphicon glyphicon-plus"></span> Edit</button>
        </td>
        <td>
        <button type="button" class="btn btn-danger" onclick="deleteSubhome(`+json[i].id+`);">
        <span class="glyphicon glyphicon-plus"></span> DELETE</button>
        </td> 
        </div>
        </tr>`;
      }
      $('#dataTable tbody').html(html);
    }
  });
}



</script>


          